module Comparable exposing (From, default)

{-| This module mostly exists to document the underlying motivation for the package.


# Comparable

@docs From, default

-}

import Basics


{-| A function to implement comparison for a given type of value.
-}
type alias From value =
    value -> value -> Basics.Order


{-| The default implementation for comparison of values in Elm.
This function implements equality as well as ordering for some types of values - Custom types aren't supported.
-}
default : From comparable
default =
    Basics.compare
